apt: Could not perform immediate configuration on already unpacked 'initramfs-tools'

Bug #546447 reported by Jamie Kitson on 2010-03-24
20
This bug affects 4 people
Affects Status Importance Assigned to Milestone
apt (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: apt

Updating from Karmic to Lucid failed suggesting:

apt-get -f install

which gave:

E: Could not perform immediate configuration on already unpacked 'initramfs-tools'

Eventually I found the command:

apt-get -f install -o APT::Immediate-Configure=0

ProblemType: Bug
Architecture: amd64
Date: Wed Mar 24 20:30:14 2010
DistroRelease: Ubuntu 10.04
NonfreeKernelModules: nvidia
Package: apt 0.7.25.3ubuntu3
ProcEnviron:
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-20.58-generic
SourcePackage: apt
Uname: Linux 2.6.31-20-generic x86_64

Jamie Kitson (jamie-kitson) wrote :
subchee (subchee) wrote :

I have the same problem. I wanted to do a dist-upgrade from Karmic to Lucid but I got the same error message.

Architecture: i386
LANG=hu_HU.UTF-8
SHELL=/bin/bash

I don't use any nonfree kernel module.

Clint Byrum (clint-fewbar) wrote :

Marking Confirmed per subchee's confirmation message.

Setting importance to Medium as this is very confusing and may affect more than just initramfs-tools.

Changed in apt (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers